org.springframework.data.auditing

## Interface AuditableBeanWrapperFactory

All Known Implementing Classes:
  MappingAuditableBeanWrapperFactory

    public interface AuditableBeanWrapperFactory

A factory to lookup `AuditableBeanWrapper`s.

Since:
  1.10
Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> Optional<AuditableBeanWrapper<T>>` `getBeanWrapperFor(T source)` Returns the `AuditableBeanWrapper` for the given source object if it's eligible for auditing.

### Method Detail

#### getBeanWrapperFor

    <T> Optional<AuditableBeanWrapper<T>> getBeanWrapperFor(T source)

Returns the `AuditableBeanWrapper` for the given source object if it's eligible for auditing.

Parameters:
  `source` - must not be null.
Returns:
  the `AuditableBeanWrapper` for the given source object if it's eligible for auditing.